<script>
    import { tasks } from './stores.js';
    
    import Task from './comp/task.svelte';
 
    let tasksList = [];

    let inp;

    tasks.subscribe(tasks => tasksList = tasks ? tasks : []);

    tasks.set([]);
</script>
<div class="main">

<div id="flex-container">
    <div class="flex-item" id="flex">Количество заданий: {tasksList.length}</div>
    <div class="raw-item" id="raw">Количество выполненых заданий:{tasksList.filter(e => e.exec).length} </div>
</div>
<div class="header">   
<div>
    <input type="text"  bind:this={inp}>
    <button on:click={() => {
        tasks.update(e => {
            if (inp.value) e.push({
                exec: false,
                task: inp.value
            })
            return e;
        })
        inp.value = '';
    }}>Добавить</button>
    <button on:click={() => tasks.set([])}>Сбросить</button>
</div>
</div>  

     
    

                <div class="selector">
                    <div class="tasks">
                        
                        {#each tasksList as task, i} 
                            <Task id={i}/>
                        {/each}
                 

                

                    </div>
                </div>

       
  
            </div>
<style>
    .main{	justify-content: center;
		border: 1px solid rgb(221, 16, 16);
		display: flex;
		flex-direction: column;
		align-items: center;
		width: 99%;
		height: calc(100% - 20px);
        
    }
    .tasks {
        overflow-y: auto;
        display: flex;
        justify-content: center;
        width: 100%;
        height: 70vh;
        flex-wrap: wrap;
        align-content: flex-start;
    }

    .header {
        height: 10vh;
        width: 90%;
        display: flex;
        
        align-items: center;
        display: flex;
		justify-content: center;
    }
    
    
    .selector {
		justify-content: center;
		border: 1px solid rgb(71, 16, 221);
		display: flex;
		flex-direction: column;
		align-items: center;
		width: 80%;
		height: 70% ;
        
	}
	.selector > div {
		margin-top: 15px;
	}


	
   
    #flex-container {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: row;
  flex-direction: row;
  width: 80%;

}

#flex-container > .flex-item {
    height: 30px; 
       
  -webkit-flex: auto;
  flex: auto;
  border: 1px solid black;
        background-color: aquamarine;
        padding: 5px;

       
}

#flex-container > .raw-item {
    height: 30px; 
        
    -webkit-flex: auto;
  flex: auto;
  border: 1px solid black;
        background-color: aquamarine;
        padding: 5px;
        
}
</style>